'use strict';
const meta = require('./config/.matchTeamGroup.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

//
class MatchTeamGroupController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.matchTeamGroup;
  }

  async saveAll() {
    const data = await this.service.saveAll(this.ctx.request.body);
    this.ctx.ok({ data });
  }
}
module.exports = CrudController(MatchTeamGroupController, meta);
